[Overview][Constants][Procedures and functions][Index] | Reference for unit 'DateUtils' (#rtl)

# RecodeDay

Replace day part of a TDateTime value with another day.

## Declaration

Source position: dateutil.inc line 360

`function RecodeDay(`
`const AValue: TDateTime;`
`const ADay: Word`
`):TDateTime;`

## Arguments

`AValue` |  | Date to recode
`ADay` |  | Day to replace in AValue

## Function result

AValue with replaced day.

## Description

RecodeDay replaces the Day part of the timestamp AValue with ADay. All other parts of the date/time stamp are left untouched.

## Errors

If the ADay value is not within a valid range (1 till the number of days in the month) then an EConvertError exception is raised.

## See also

RecodeYear |  | Replace year part of a TDateTime value with another year.
RecodeMonth |  | Replace month part of a TDateTime value with another month.
RecodeHour |  | Replace hours part of a TDateTime value with another hour.
RecodeMinute |  | Replace minutes part of a TDateTime value with another minute.
RecodeSecond |  | Replace seconds part of a TDateTime value with another second.
RecodeMilliSecond |  | Replace milliseconds part of a TDateTime value with another millisecond.
RecodeDate |  | Replace date part of a TDateTime value with another date.
RecodeTime |  | Replace time part of a TDateTime value with another time.
RecodeDateTime |  | Replace selected parts of a TDateTime value with other values

## Example

    Program Example89;

    { This program demonstrates the RecodeDay function }

    Uses SysUtils,DateUtils;

    Const
      Fmt = 'dddd dd mmmm yyyy hh:nn:ss';

    Var
      S : AnsiString;

    Begin
      S:=FormatDateTime(Fmt,RecodeDay(Now,1));
      Writeln('This moment on the first of the month : ',S);
    End.